Debian Bug report logs - #400441
libXrandr: Calls UnlockDisplay without calling LockDisplay.

version graph

Package: libxrandr2; Maintainer for libxrandr2 is Debian X Strike Force <debian-x@lists.debian.org>; Source for libxrandr2 is src:libxrandr.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Sun, 26 Nov 2006 10:18:02 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Merged with 400635

Found in version 2:1.1.0.2-4

Fixed in version libxrandr/2:1.1.0.2-5

Done: Jamey Sharp <sharpone@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#400441; Package libxrandr2. Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@freedesktop.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: submit@bugs.debian.org
Subject: libXrandr: Calls UnlockDisplay without calling LockDisplay.
Date: Sun, 26 Nov 2006 01:51:08 -0800
[Message part 1 (text/plain, inline)]
Package: libxrandr2
Version: 1.1.0.2-4
Severity: important
Tags: upstream fixed-upstream patch

libXrandr calls UnlockDisplay without calling LockDisplay.  This causes a
locking correctness assertion failure with libX11 1.1 and Xlib/XCB in
experimental, and will become RC after the etch release when libX11 1.1 enters
unstable.  Patch from upstream Git repository:

http://gitweb.freedesktop.org/?p=xorg/lib/libXrandr.git;a=commitdiff_plain;h=d914d05d34991b4cfa3af411fd2a3e281ea0e73b;hp=a8abbe92f0486f174fb89ca2c81eabede646bf32

- Josh Triplett

[signature.asc (application/pgp-signature, attachment)]

Bug marked as not found in version 1.1.0.2-4. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 2:1.1.0.2-4. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 400441 400635. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jamey Sharp <sharpone@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@freedesktop.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 400441-close@bugs.debian.org (full text, mbox):

From: Jamey Sharp <sharpone@debian.org>
To: 400441-close@bugs.debian.org
Subject: Bug#400441: fixed in libxrandr 2:1.1.0.2-5
Date: Tue, 28 Nov 2006 01:02:19 +0000
Source: libxrandr
Source-Version: 2:1.1.0.2-5

We believe that the bug you reported is fixed in the latest version of
libxrandr, which is due to be installed in the Debian FTP archive:

libxrandr-dev_1.1.0.2-5_i386.deb
  to pool/main/libx/libxrandr/libxrandr-dev_1.1.0.2-5_i386.deb
libxrandr2-dbg_1.1.0.2-5_i386.deb
  to pool/main/libx/libxrandr/libxrandr2-dbg_1.1.0.2-5_i386.deb
libxrandr2_1.1.0.2-5_i386.deb
  to pool/main/libx/libxrandr/libxrandr2_1.1.0.2-5_i386.deb
libxrandr_1.1.0.2-5.diff.gz
  to pool/main/libx/libxrandr/libxrandr_1.1.0.2-5.diff.gz
libxrandr_1.1.0.2-5.dsc
  to pool/main/libx/libxrandr/libxrandr_1.1.0.2-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400441@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jamey Sharp <sharpone@debian.org> (supplier of updated libxrandr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 27 Nov 2006 14:31:54 -0800
Source: libxrandr
Binary: libxrandr2-dbg libxrandr2 libxrandr-dev
Architecture: source i386
Version: 2:1.1.0.2-5
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Jamey Sharp <sharpone@debian.org>
Description: 
 libxrandr-dev - X11 RandR extension library (development headers)
 libxrandr2 - X11 RandR extension library
 libxrandr2-dbg - X11 RandR extension library (debug package)
Closes: 400441
Changes: 
 libxrandr (2:1.1.0.2-5) unstable; urgency=low
 .
   [ Thierry Reding ]
   * Add libxrender-dev dependency to libxrandr-dev.
 .
   [ Jamey Sharp ]
   * libXrandr: Calls UnlockDisplay without calling LockDisplay. (Closes:
     #400441)
   * Add Josh and myself to Uploaders.
Files: 
 91d87ed441304532a0d06c413117a087 978 x11 optional libxrandr_1.1.0.2-5.dsc
 a4d09c40e78f99931c8438f898c08373 17278 x11 optional libxrandr_1.1.0.2-5.diff.gz
 339f595b6571e0add2d9c01f2f922626 7776 x11 optional libxrandr2_1.1.0.2-5_i386.deb
 894761230c495729b8641d30ad71c2ab 24602 x11 optional libxrandr2-dbg_1.1.0.2-5_i386.deb
 2b90a53624f68e2578bc693c60012806 8542 x11 optional libxrandr-dev_1.1.0.2-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFa25Hp1aplQ4I9mURAq93AJ9M3JpCgHmlE1K6TvJn9Yaz0plMHgCfSSBo
0T2KUFIqXoDCld4AF+67/dM=
=fbXm
-----END PGP SIGNATURE-----




Reply sent to Jamey Sharp <sharpone@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Xavier Bestel <xavier.bestel@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 05:20:13 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:04:20 GMT) Full text and rfc822 format available.

Changed Bug submitter from Josh Triplett <josh@freedesktop.org> to Josh Triplett <josh@joshtriplett.org>. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:04:21 GMT) Full text and rfc822 format available.

Bug archived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:04:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:15:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.